post
https://api.sumsub.com/resources/accessTokens/shareToken
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to create a new share token for Reusable KYC or Copy Applicant services.
Required permissions
This method requires the Share applicants data dashboard permission. App tokens and team members must have a role that includes this permission; otherwise, the request fails with a permission error.
Request example
curl -X POST \
'https://api.sumsub.com/resources/accessTokens/shareToken' \
-H 'content-type: application/json' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>' \
-d '{
"applicantId": "63e092c51b7b4030f2e01154",
"forClientId": "CoolCoinLtd",
"ttlInSecs": 600
}'Response explained
In the response, you will get a new share token.
The following fields are returned:
| Field | Description |
|---|---|
token | The share token generated upon execution of the request. |
forClientId | Unique partner identifier as specified in the request. |
The following is a response example:
{
"token": "eyJhbGciOiJub25lIn0.eyJqdGkiOiJfYWN0LTZmODI2ZTU0LTE2MzctNDViMS05NzMyLWY1MjZiN2YxNWE3YyIsInVybCI6Imh0dHBzOi8vYXBpLnN1bXN1Yi5jb20ifQ.",
"forClientId": "CoolCoinLtd"
}